/// <reference types="react" />
import CMSPage from './page';
import 'cport-nifty/plugins/datatables/media/js/jquery.dataTables.min.js';
import 'cport-nifty/plugins/datatables/media/css/jquery.dataTables.min.css';
import 'cport-nifty/plugins/datatables/extensions/Responsive/css/dataTables.responsive.css';
export interface TableProps {
    initial?: boolean;
    operating?: boolean;
    lists: any[];
    header: any[];
    renderLists: (header: any[], lists: any[], operating?: boolean) => any;
}
export default class extends CMSPage<TableProps> {
    triggerLoad(): Promise<void>;
    renderHeader(): JSX.Element[];
    renderLists(): any;
    render(): JSX.Element;
}
